Doomsday Engine - Feature #2168

Feature # 1601 (In Progress): Package management

Package compatibility check in multiplayer games
2016-07-22 09:16 - skyjake

Status: Closed Start date: 2016-07-22
Priority: High % Done: 100%
Assignee: skyjake

Category: Enhancement

Target version: 2.0 — Home Ul & Packages

Description

The client must use add-ons that are compatible with the ones used by the server. However, the client should be allowed to use
add-ons that make visual/audio-only alterations, since the server never needs to load such add-ons.

Some new logic may need to be introduced to determine if a package contains gameplay-altering DED definitions (such as new
states or things).

The information in local server broadcasts and master server announcements must support listing the required packages. This can
be achieved e.g. with JSON as the data format.

Related issues:
Related to Feature #1753: Improved Master Server API Rejected 2014-04-18

History

#1 - 2016-07-22 09:17 - skyjake

- Description updated

#2 - 2016-07-22 09:18 - skyjake

- Description updated

#3 - 2016-08-07 09:02 - skyjake
- Priority changed from Normal to High

#4 - 2016-11-13 09:22 - skyjake
- Related to Feature #1753: Improved Master Server APl added

#5 - 2016-11-13 09:26 - skyjake

- Tags changed from Multiplayer, Definitions, MapData, Resources, Server, Client, Packages to Multiplayer, Definitions, MapData, Resources, Server,
Client, Packages, MasterServer

- Description updated
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#6 - 2016-11-20 20:15 - skyjake
- % Done changed from 100 to 90

A notification dialog should still be shown if there are potential version conflicts.

#7 - 2016-11-22 19:58 - skyjake
- % Done changed from 90 to 100

#8 - 2017-01-20 13:00 - skyjake

- Status changed from Resolved to Closed
